Page MenuHomePhabricator

Create a tool to sync static configuration from a repository to the consistent k/v store
Closed, ResolvedPublic

Description

While state of any cluster/ single node (like pooled/depooled state, weight) should be set on the kv store itself, the main configuration we store there should still come from a repository where we can have code reviews and a controlled deploy. I guess a dedicated directory under operations-puppet should suffice.

Event Timeline

Joe set Security to None.
chasemp added a subscriber: chasemp.May 4 2015, 5:43 PM

I have a fair interest in helping with this and I guess, depending on timeline, taking this on. I created something like this once before that the team was pretty happy with at the time. At the outset I would like to explore not having this configuration be in the puppet repo, and possibly having this configuration source be canonical for anything defined inside of it. An example are checks I setup friday for the RIPE Atlas anchors we have in prod. I had to pull the IP from the DNS repo and now it is defined in two places. I'm not suggesting right now we fold all of the DNS configuration into this, or ever necessarily, but I would seriously like to suggest making this repo completely canonical for relevant things and decoupling it's history from puppet.

Not sure what thought / plans are already in the works :)

Joe moved this task from Backlog to In progress on the discovery-system board.Jun 1 2015, 4:10 PM
Joe closed this task as Resolved.Jun 11 2015, 10:36 AM
Joe claimed this task.
Joe moved this task from In progress to Done on the discovery-system board.
BBlack moved this task from Triage to Done on the Traffic board.Jun 16 2015, 8:12 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 16 2015, 8:12 PM